phpLDAPadmin

# Class: SchemaItem

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

### Class Overview

Generic parent class for all schema items. A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax.

#### Author(s):

### Variables

- $description
- $name

### Methods

- getDescription
- getIsObsolete
- getName
- getOID
- setDescription
- setOID

### Child classes:

ObjectClass
  Represents an LDAP objectClass

AttributeType
  Represents an LDAP AttributeType

Syntax
  Represents an LDAP Syntax

MatchingRule
  Represents an LDAP MatchingRule

MatchingRuleUse
  Represents an LDAP schema matchingRuleUse entry

### Class Details

[line 19]
Generic parent class for all schema items. A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax.

All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $description = null

[line 25]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $name = null

[line 21]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### method getDescription [line 50]

`void getDescription( )`

#### Tags:

access: | public

[ Top ]

### method getIsObsolete [line 60]

`void getIsObsolete( )`

Gets whether this objectClass is flagged as obsolete by the LDAP server.

#### Tags:

access: | public

[ Top ]

### method getName [line 73]

`string getName( [ $lower = true])`

Return the objects name.

param boolean $lower Return the name in lower case (default)

#### Tags:

return: | The name
access: | public

#### Parameters:

| $lower |

[ Top ]

### method getOID [line 43]

`void getOID( )`

#### Tags:

access: | public

[ Top ]

### method setDescription [line 36]

`void setDescription( $desc)`

#### Tags:

access: | public

#### Parameters:

| $desc |

[ Top ]

### method setOID [line 29]

`void setOID( $oid)`

#### Tags:

access: | public

#### Parameters:

| $oid |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1